<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Uses of Class fr.ici.dataImporter.iciObjects.Building</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="use: package: fr.ici.dataImporter.iciObjects, class: Building">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class fr.ici.dataImporter.iciObjects.Building" class="title">Uses of Class<br>fr.ici.dataImporter.iciObjects.Building</h1>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Packages that use <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Package</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects.iris">fr.ici.dataImporter.iciObjects.iris</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.paris">fr.ici.dataImporter.paris</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.util">fr.ici.dataImporter.util</a></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects">
<h2>Uses of <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a> in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Subclasses of <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a> in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>class&nbsp;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></span></code></th>
<td class="col-last">
<div class="block">Building integration in the ICI project.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> that return <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">Building.</span><code><span class="member-name-link"><a href="../Building.html#getClosestBuilding(java.util.List,org.locationtech.jts.geom.Point,float)">getClosestBuilding</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding,
org.locationtech.jts.geom.Point&nbsp;p,
float&nbsp;distanceToSeek)</code></th>
<td class="col-last">
<div class="block">Recursively look for a Building meter by meter from a point.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> that return types with arguments of type <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Housing.</span><code><span class="member-name-link"><a href="../Housing.html#generateHousing(java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)">generateHousing</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding,
java.io.File&nbsp;inseeLogementStat,
java.io.File&nbsp;apurPOI,
java.io.File&nbsp;workingPlacesFile,
java.io.File&nbsp;poiFile)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Building.</span><code><span class="member-name-link"><a href="../Building.html#importBuilding(java.io.File)">importBuilding</a></span>&#8203;(java.io.File&nbsp;file)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Building.</span><code><span class="member-name-link"><a href="../Building.html#selectIntersectMost(java.util.List,org.locationtech.jts.geom.Geometry)">selectIntersectMost</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lG,
org.locationtech.jts.geom.Geometry&nbsp;toIntersect)</code></th>
<td class="col-last">
<div class="block">Make the intersection but for overlapping object, check if they are mostly included in the geometry (more than 50% of their footprint are inside geometry) or not</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Building.</span><code><span class="member-name-link"><a href="../Building.html#sortListBuildingWithRatioHousingPerSurface(java.util.List)">sortListBuildingWithRatioHousingPerSurface</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">
<div class="block">Sort a building collection by the ratio of housing unit per surface</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> with parameters of type <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">Household.</span><code><span class="member-name-link"><a href="../Household.html#generateHouseholds(fr.ici.dataImporter.iciObjects.Building,fr.ici.dataImporter.iciObjects.iris.IRISHousehold)">generateHouseholds</a></span>&#8203;(<a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&nbsp;building,
<a href="../iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a>&nbsp;iris)</code></th>
<td class="col-last">
<div class="block">Generate the households for each housing of an IRIS</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Method parameters in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> with type arguments of type <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Address.</span><code><span class="member-name-link"><a href="../Address.html#affectBuildingToAddress(java.util.List,java.util.List)">affectBuildingToAddress</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lB,
java.util.List&lt;<a href="../Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAddress)</code></th>
<td class="col-last">
<div class="block">Attach building information for each address.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Household.</span><code><span class="member-name-link"><a href="../Household.html#affectHouseholdToHousing(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.util.List)">affectHouseholdToHousing</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisHousehold,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisHousing,
java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingSimple.</span><code><span class="member-name-link"><a href="../BuildingSimple.html#exportBuilding(java.util.List,java.io.File)">exportBuilding</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lB,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">
<div class="block">Write a list of Building in a geographic collection</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><span class="type-name-label">BuildingGroup.</span><code><span class="member-name-link"><a href="../BuildingGroup.html#exportBuildingGroup(java.util.List,java.io.File)">exportBuildingGroup</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBG,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">
<div class="block">Export a list of building group to a geo file</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Building.</span><code><span class="member-name-link"><a href="../Building.html#exportList(java.util.List,java.io.File)">exportList</a></span>&#8203;(java.util.List&lt;<a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding,
java.io.File&nbsp;file)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Housing.</span><code><span class="member-name-link"><a href="../Housing.html#generateHousing(java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)">generateHousing</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding,
java.io.File&nbsp;inseeLogementStat,
java.io.File&nbsp;apurPOI,
java.io.File&nbsp;workingPlacesFile,
java.io.File&nbsp;poiFile)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">Building.</span><code><span class="member-name-link"><a href="../Building.html#getClosestBuilding(java.util.List,org.locationtech.jts.geom.Point,float)">getClosestBuilding</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding,
org.locationtech.jts.geom.Point&nbsp;p,
float&nbsp;distanceToSeek)</code></th>
<td class="col-last">
<div class="block">Recursively look for a Building meter by meter from a point.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Household.</span><code><span class="member-name-link"><a href="../Household.html#importHousehold(java.util.List,java.io.File,java.io.File)">importHousehold</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding,
java.io.File&nbsp;irisHouseholdFile,
java.io.File&nbsp;irisHousingFile)</code></th>
<td class="col-last">
<div class="block">Generate the household of a zone relatively to housing already generated by the <a href="../Building.html#importBuilding(java.io.File)"><code>importBuilding(File)</code></a> method.</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">POI.</span><code><span class="member-name-link"><a href="../POI.html#importPOIFromUsualSources(java.io.File,java.util.List)">importPOIFromUsualSources</a></span>&#8203;(java.io.File&nbsp;rootFolder,
java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lB)</code></th>
<td class="col-last">
<div class="block">Import POI the way root folder is organized</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">WorkingPlace.</span><code><span class="member-name-link"><a href="../WorkingPlace.html#importWorkingPlace(java.io.File,java.io.File,java.util.List)">importWorkingPlace</a></span>&#8203;(java.io.File&nbsp;sirenWP,
java.io.File&nbsp;apurWP,
java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">
<div class="block">Import Working Places from sources</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Building.</span><code><span class="member-name-link"><a href="../Building.html#selectIntersectMost(java.util.List,org.locationtech.jts.geom.Geometry)">selectIntersectMost</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lG,
org.locationtech.jts.geom.Geometry&nbsp;toIntersect)</code></th>
<td class="col-last">
<div class="block">Make the intersection but for overlapping object, check if they are mostly included in the geometry (more than 50% of their footprint are inside geometry) or not</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Building.</span><code><span class="member-name-link"><a href="../Building.html#sortListBuildingWithRatioHousingPerSurface(java.util.List)">sortListBuildingWithRatioHousingPerSurface</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">
<div class="block">Sort a building collection by the ratio of housing unit per surface</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects.iris">
<h2>Uses of <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a> in <a href="../iris/package-summary.html">fr.ici.dataImporter.iciObjects.iris</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../iris/package-summary.html">fr.ici.dataImporter.iciObjects.iris</a> with parameters of type <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static int</code></td>
<th class="col-second" scope="row"><span class="type-name-label">IRISHousing.</span><code><span class="member-name-link"><a href="../iris/IRISHousing.html#getHousingsCategorieOfBuilding(fr.ici.dataImporter.iciObjects.Building,java.lang.String)">getHousingsCategorieOfBuilding</a></span>&#8203;(<a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&nbsp;b,
java.lang.String&nbsp;housingCategory)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.paris">
<h2>Uses of <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a> in <a href="../../paris/package-summary.html">fr.ici.dataImporter.paris</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Method parameters in <a href="../../paris/package-summary.html">fr.ici.dataImporter.paris</a> with type arguments of type <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../../paris/ApurWorkingPlace.html" title="class in fr.ici.dataImporter.paris">ApurWorkingPlace</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">ApurWorkingPlace.</span><code><span class="member-name-link"><a href="../../paris/ApurWorkingPlace.html#importAPURWorkingPlace(java.io.File,java.util.List)">importAPURWorkingPlace</a></span>&#8203;(java.io.File&nbsp;schoolFile,
java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.util">
<h2>Uses of <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a> in <a href="../../util/package-summary.html">fr.ici.dataImporter.util</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Method parameters in <a href="../../util/package-summary.html">fr.ici.dataImporter.util</a> with type arguments of type <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><span class="type-name-label">GraphAnalysis.</span><code><span class="member-name-link"><a href="../../util/GraphAnalysis.html#analyseBuildingDistribution(java.util.List,java.io.File,java.io.File,java.io.File)">analyseBuildingDistribution</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lb,
java.io.File&nbsp;inseeHousingStat,
java.io.File&nbsp;inseeHouseholdStat,
java.io.File&nbsp;outFolder)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
